## Apache Zeta Components Manual :: Docs For Class ezcWorkflowConditionXor

### Workflow::ezcWorkflowConditionXor

### Class ezcWorkflowConditionXor

Boolean XOR.

An object of the ezcWorkflowConditionXor class represents a boolean XOR expression. It can hold an arbitrary number of ezcWorkflowCondition objects.

1. <?php
2. $xor=new ezcWorkflowConditionXor (array($condition,...) );
3. ?>

Source for this file: /Workflow/src/conditions/xor.php

    ezcWorkflowConditionBooleanSet
       |
       --ezcWorkflowConditionXor

Version: | //autogen//

### Member Variables

protected string | `$concatenation = 'XOR'` Textual representation of the concatenation.

### Inherited Member Variables

From ezcWorkflowConditionBooleanSet
protected | `ezcWorkflowConditionBooleanSet::$conditions`

### Inherited Methods

From ezcWorkflowConditionBooleanSet
public ezcWorkflowConditionBooleanSet | `ezcWorkflowConditionBooleanSet::__construct()` Constructs a new boolean set with the conditions $conditions.

Documentation generated by phpDocumentor 1.4.3